List alert channels
GET
/api/v1/alerts/channels
const url = 'https://example.com/api/v1/alerts/channels';const options = {method: 'GET', headers: {Authorization: '<Authorization>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/v1/alerts/channels \ --header 'Authorization: <Authorization>'Returns alert channel rows. Secrets are redacted unless reveal=1 is passed by an admin.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”env
integer
Environment ID; omit to list all
reveal
integer
Pass 1 to include secret fields (admin only)
Responses
Section titled “Responses”OK
Media typeapplication/json
Array<object>
object
config
object
created_at
string
enabled
boolean
environment_id
integer
id
integer
info
string
name
string
type
string
updated_at
string
Examplegenerated
[ { "config": {}, "created_at": "example", "enabled": true, "environment_id": 1, "id": 1, "info": "example", "name": "example", "type": "example", "updated_at": "example" }]Unauthorized
Media typeapplication/json
object
code
string
error
string
Examplegenerated
{ "code": "example", "error": "example"}Forbidden
Media typeapplication/json
object
code
string
error
string
Examplegenerated
{ "code": "example", "error": "example"}Alerts disabled
Media typeapplication/json
object
code
string
error
string
Examplegenerated
{ "code": "example", "error": "example"}